TCRD(1)

NAME
tcrd - Tool for Class-Relationship Diagrams

SYNOPSIS
tcrd [options] [document]

DESCRIPTION
tcrd is an X11/Motif based graphical editor for drawing class-relationship diagrams. Documents can be loaded from and stored to a file. It can print documents to a PostScript printer or save as PostScript to a file.

tcrd is part of The Toolkit for Conceptual Modeling (TCM).

ARGUMENTS
You can call tcrd with a single document name as argument. If this argument is an existing file then tcrd tries to load a document from it. If it does not exist, a new document is created with the argument as document name. tcrd files should have suffix '*.crd'.

Without a document argument, tcrd creates a new empty class-relationship diagram with the name 'untitled.crd'.

In addition to the standard X11 toolkit options (see X11(7)), tcrd accepts the options listed below:

-drawing widthxheight
    Create a drawing area of width pixels wide and height pixels high.

-help
    Write all available options to standard output and quit.

-maxdrawing widthxheight
    The drawing area can not be larger than width pixels wide and height pixels high.

-priv_cmap
    Start the editor with a private colormap.

-projdir directory
    Set the project directory (current working directory) to directory.

-toPS [file.ps]
    Generate PostScript (to file.ps or stdout when no file name was given) and quit.

-toEPS [file.eps]
    Generate EPS (to file.eps or stdout when no file name was given) and quit.

-toFig [file.fig] [-latex]
    Generate Fig format (to file.fig or stdout when no file name was given and quit. When the -latex option is given, LaTeX fonts are generated, otherwise normal PostScript fonts are generated. The Fig format can be read by xfig(1) and fig2dev(1).

-toPNG file.png
    Generate PNG format to file.png and quit.

-toPS [file.ps]
    Generate PostScript (to file.ps or stdout when no file name was given) and quit.

-version
    Write the TCM version to standard output and quit.

ENVIRONMENT
The TCM_HOME environment variable should be the directory where the TCM files are installed.

PATH
    Should include $TCM_HOME/bin

MANPATH
    Should include $TCM_HOME/man

PRINTER
    Name of the default printer that is used by tcrd.

LD_LIBRARY_PATH
    Should include $TCM_HOME/lib when the distribution contains shared object libraries in $TCM_HOME/lib.

FILES
The following relative files are relative to $TCM_HOME.

bin/tcrd
    the class relationship diagram editor.

bin/psf
    a program to filter PostScript output.

lib/banner.ps
    PostScript banner page that can be used when the printer does not print a banner page.

lib/help/*
    The help directory contains a collection of text files for the on-line help.

lib/TCM
    X Resources (the same as the ones that are built-in). You can customize the fonts and colors by setting resources in your X defaults database. Each string of the form ``TCM.resource:definition'' sets a resource.

/tmp/tcmXXXXXX
    Pseudo random temporary file, for PostScript output.

lib/tcm.conf
    TCM editor configuration file. This file contains values for some of the editor defaults like the page size, the default fonts etc. This file is read by each editor upon startup.

$HOME/.tcmrc
    Each user of TCM can override some of the options of tcm.conf by its own configuration file, installed in $HOME/.tcmrc.

SEE ALSO
Frank Dehne, Roel Wieringa and Henk van de Zandschulp -- TCM (Toolkit for Conceptual Modeling), User's Guide and Reference. This document is available as PostScript and HTML in $TCM_HOME/doc or as HTML via the URL http://www.cs.utwente.nl/~tcm/tcm-usersguide.html.

tcm(1), X11(7), xfig(1), fig2dev(1)

AUTHOR
Frank Dehne (frank@cs.vu.nl).

BUGS
Please send bug reports to tcm@cs.utwente.nl.